| Home | Libraries | People | FAQ | More

## Struct template on_invertible<Type, true>

boost::icl::map::on_invertible<Type, true>

## Synopsis

    // In header: <boost/icl/map.hpp>

    template<typename Type>
    struct on_invertible<Type, true> {
      // types
      typedef Type::element_type             element_type;
      typedef Type::inverse_codomain_combine inverse_codomain_combine;

      // public static functions
      static void subtract(Type &, const element_type &);
    };

## Description

### `on_invertible` public static functions

1.     static void subtract(Type & object, const element_type & operand);